Loading...
Searching...
No Matches
adl_serializer< ValueType, typename > Struct Template Reference

namespace for Niels Lohmann More...

`#include <json.hpp>`

## Static Public Member Functions

template<typename BasicJsonType, typename TargetType = ValueType>
static auto | from_json (BasicJsonType &&j, TargetType &val) noexcept(noexcept(::nlohmann::from_json(std::forward< BasicJsonType >(j), val))) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), val), void())
| convert a JSON value to any value type
template<typename BasicJsonType, typename TargetType = ValueType>
static auto | from_json (BasicJsonType &&j) noexcept(noexcept(::nlohmann::from_json(std::forward< BasicJsonType >(j), detail::identity_tag< TargetType > {}))) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), detail::identity_tag< TargetType > {}))
| convert a JSON value to any value type
template<typename BasicJsonType, typename TargetType = ValueType>
static auto | to_json (BasicJsonType &j, TargetType &&val) noexcept(noexcept(::nlohmann::to_json(j, std::forward< TargetType >(val)))) -> decltype(::nlohmann::to_json(j, std::forward< TargetType >(val)), void())
| convert any value type to a JSON value

## Detailed Description

template<typename ValueType, typename>
struct adl_serializer< ValueType, typename >

namespace for Niels Lohmann

See also
  https://github.com/nlohmann

Since
  version 1.0.0

default JSONSerializer template argument

This serializer ignores the template arguments and uses ADL (argument-dependent lookup) for serialization.

See also
  https://json.nlohmann.me/api/adl_serializer/

## Member Function Documentation

## from_json() [1/2]

template<typename ValueType, typename>
template<typename BasicJsonType, typename TargetType = ValueType>

auto adl_serializer< ValueType, typename >::from_json | ( | BasicJsonType && | j | ) | -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), detail::identity_tag< TargetType > {}))

inlinestaticnoexcept

convert a JSON value to any value type

See also
  https://json.nlohmann.me/api/adl_serializer/from_json/

## from_json() [2/2]

template<typename ValueType, typename>
template<typename BasicJsonType, typename TargetType = ValueType>

auto adl_serializer< ValueType, typename >::from_json | ( | BasicJsonType && | j,
|  | TargetType & | val ) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), val), void())

inlinestaticnoexcept

convert a JSON value to any value type

See also
  https://json.nlohmann.me/api/adl_serializer/from_json/

## to_json()

template<typename ValueType, typename>
template<typename BasicJsonType, typename TargetType = ValueType>

auto adl_serializer< ValueType, typename >::to_json | ( | BasicJsonType & | j,
|  | TargetType && | val ) -> decltype(::nlohmann::to_json(j, std::forward< TargetType >(val)), void())

inlinestaticnoexcept

convert any value type to a JSON value

See also
  https://json.nlohmann.me/api/adl_serializer/to_json/

The documentation for this struct was generated from the following file:

- IO/nlohmann/json.hpp